Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Drew Adams <[email-masked]>
Date: Sun, 25 Nov 2018 16:16:50 -0800 (PST)

> > What counts is the user perspective: scrolling should show all
> > hits highlighted, no matter how far you scroll and no matter
> > which directions.  And to get that behavior a user should not
> > need to change option `lazy-highlight-buffer'.  That option
> > should have no effect on this behavior, and vice versa.
> 
> The first part of your request is already implemented as well:
> you can customize `search-exit-option' to the value `nil'
> (its tag text is "Don't terminate incremental search"),
> then it works exactly like you want.

Sorry, but I don't really understand.

There are several parts to this bug report.  I don't know
what "the first part" refers to.

I don't want to have to customize anything (other than a
new specific `isearch-allow-scroll' value) to work around
the problem.

In the Emacs release I have (26.1) there is no such value
for `search-exit-option'.  And it's not clear to me why
I would want to change the value of this option.  (I don't
even understand the (Emacs 26) doc string of the option:
"Non-nil means random control characters terminate
incremental search."  Random control characters?

I think I described the problem pretty clearly.  I don't
find your description of the solution (or solutions, to
parts apparently) clear.  What I mean is I don't understand
the proposed solution(s), to start with.